| Home | Libraries | People | FAQ | More

## Function template make_unique_nothrow

boost::movelib::make_unique_nothrow

## Synopsis

    // In header: <boost/move/make_unique.hpp>

    template<typename T, class... Args>
      unique_ptr< T > make_unique_nothrow(Args &&... args);

## Description

Remarks: This function shall not participate in overload resolution unless T is not an array.

Returns: `unique_ptr<T>(new T(std::nothrow)(std::forward<Args>(args)...))`.